Subject: bug#37897: Bug: Resetting locale settings

From: Ludovic Courtès <[email-masked]>
Date: Wed, 13 Nov 2019 14:48:33 +0100

Hi,

[email-masked] skribis:

> So I was talking about the keyboard layout all along. Not only was my
> locale set to "de_DE.utf8", but my keyboard configuration is set to
> "de-latin1-nodeadkeys". Interestingly, the keyboard layout is
> different in xorg and xfce than it is in the console (the one I reach
> via C-M-Fx, not the terminal emulator). In the console, I have the
> qwertz keyboard layout.
>
> Also find the part of my current configuration file (sitting at
> /etc/config.scm) which specifies both locale and keyboard layout:
> (operating-system
>   (locale "de_DE.utf8")
>   (timezone "Europe/Berlin")
>   (keyboard-layout (keyboard-layout "de" "latin1-nodeadkeys"))
>   (bootloader
>     (bootloader-configuration
>       (bootloader grub-bootloader)
>       (target "/dev/sdb")
>       (keyboard-layout keyboard-layout)))

Could you post your complete config file?

The snippet above defines the keyboard layout for the console and for
GRUB, but it does not define the keyboard layout for Xorg/Xfce.  For
that you need an extra bit with ‘set-xorg-configuration’ as noted at
<https://guix.gnu.org/manual/devel/en/html_node/Keyboard-Layout.html>.

Thanks in advance,
Ludo’.